Summary:	Personal Finance Management Tool
Name:		skrooge
Version: 	0.2.5
Release: 	%mkrel 1
Source0: 	http://downloads.sourceforge.net/skrooge/%name-%version.tar.gz
License: 	GPLv2+
Group: 		Office
Url: 		http://skrooge.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel
BuildRequires:	qca2-devel
BuildRequires:	kdesdk4-scripts
BuildRequires:	sqlite3-devel
BuildRequires:	libofx-devel
Requires:	qt4-database-plugin-sqlite

%description
Skrooge is a personal finance management tool for KDE4, with the aim of
being highly intuitive, while providing powerful functions such as
graphics, persistent Undo/Redo, infinite category levels, and much more...

%if %mdkversion < 200900
%post
%update_menus

%postun
%update_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*.so
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_datadir}/config.kcfg/*.kcfg
%{_kde_services}/*.desktop
%{_kde_servicetypes}/*.desktop
%{_kde_appsdir}/*
%{_kde_iconsdir}/*/*/*/*

#-------------------------------------------------------------------

%define major 1
%define libname %mklibname skrooge %major

%package -n %libname
Summary: skrooge library
Group: System/Libraries

%description -n %libname
Skrooge library.

%files -n %libname
%defattr(-,root,root)
%{_kde_libdir}/*.so.%{major}
%{_kde_libdir}/*.so.%{version}
%{_kde_plugindir}/designer/*.so.%{major}
%{_kde_plugindir}/designer/*.so.%{version}

#-------------------------------------------------------------------

%package devel
Summary: skrooge development files
Group: Development/KDE and Qt
Requires: %{libname} = %{version}-%{release}
Conflicts: %{name} < 0.2.3

%description devel
This package contains header files needed if you wish to build applications
based on skrooge.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/*.so
%{_kde_plugindir}/designer/*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

rm -f %buildroot%_kde_datadir/applications/kde/*.desktop
rm -f %buildroot%_kde_datadir/mimelnk/application/*.desktop

%find_lang %name --with-html

%clean
rm -rf %{buildroot}


%changelog
* Fri Mar 20 2009 Funda Wang <fundawang@mandriva.org> 0.2.5-1mdv2009.1
+ Revision: 358276
- New version 0.2.5

* Wed Mar 04 2009 Funda Wang <fundawang@mandriva.org> 0.2.4-1mdv2009.1
+ Revision: 348414
- BR ofx
- New version 0.2.4

* Wed Feb 25 2009 Funda Wang <fundawang@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 344625
- New version 0.2.3

* Fri Feb 13 2009 Funda Wang <fundawang@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 340165
- new version 0.2.2

* Mon Feb 02 2009 Funda Wang <fundawang@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 336323
- BR qca2
- New version 0.2.1

* Wed Jan 21 2009 Funda Wang <fundawang@mandriva.org> 0.2.0-2mdv2009.1
+ Revision: 332301
- add requires

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 331080
- New version 0.2.0

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.1.9-1mdv2009.1
+ Revision: 324714
- fix file list
- New verison 0.1.9

* Tue Dec 23 2008 Funda Wang <fundawang@mandriva.org> 0.1.8-1mdv2009.1
+ Revision: 317759
- drop wrong desktop file
- new version 0.1.8

* Tue Dec 16 2008 Funda Wang <fundawang@mandriva.org> 0.1.7-1mdv2009.1
+ Revision: 314710
- New version 0.1.7

* Tue Dec 02 2008 Funda Wang <fundawang@mandriva.org> 0.1.6-1mdv2009.1
+ Revision: 308955
- new version 0.1.6

* Tue Nov 25 2008 Funda Wang <fundawang@mandriva.org> 0.1.5-1mdv2009.1
+ Revision: 306525
- fix url
- import skrooge


